@import url('gotham.css');

* {
    font-family: 'Gotham Book';
}

html,
body,
form {
    height: 100%;
}

/* Questionnaire - Slider */

.carousel {
    height: 100% !important;
}

.carousel .carousel-item {
    width: 100% !important;
    height: auto;
    height: 100%;
    padding: 20px 20px 61px 20px;
    overflow-y: scroll;
}

.carousel .indicators {
    background-color: #FFFFFF;
}

.carousel .indicators .indicator-item {
    background-color: #C1C1C1;
}

.carousel .indicators .indicator-item.active {
    background-color: #0073BC;
}

/* Questionnaire - Form */

.input-field {
    margin: 0.5rem 0;
}

.input-field.col label {
    font-size: 0.9rem;
}

input:focus:not([readonly]),
textarea.materialize-textarea:focus:not([readonly]) {
    border-bottom: 1px solid #0073BC !important;
    box-shadow: 0 1px 0 0 #0073BC !important;
}

input:focus:not([readonly])+label,
textarea.materialize-textarea:focus:not([readonly])+label {
    color: #0073BC !important;
}

.datepicker-date-display {
    display: none;
}

.title-radio {
    display: block;
    position: relative !important;
    margin-bottom: 20px;
    left: 0 !important;
}

.option-radio {
    display: inline;
}

[type="radio"]:checked+span:after,
[type="radio"].with-gap:checked+span:before,
[type="radio"].with-gap:checked+span:after {
    border: 2px solid #0073BC;
}

[type="radio"]:checked+span:after,
[type="radio"].with-gap:checked+span:after {
    background-color: #0073BC;
}

[type="checkbox"]+span:not(.lever) {
    line-height: 20px;
}

[type="checkbox"].filled-in:checked+span:not(.lever):after {
    border: 2px solid #0073BC;
    background-color: #0073BC;
}

.container-checkbox {
    padding: 0 .75rem;
}

button.btn-primary,
button.btn-primary:focus {
    width: 500px;
    max-width: 100%;
    border-radius: 8px;
    background-color: #0073BC;
    color: #fff;
    padding: 12.5px 0;
}

/* Results */
.results {
    width: 100%;
    height: 100vh;
    text-align: center;
}

.results label {
    font-size: 17px;
    margin: 33px 0;
}

.results img {
    max-width: 150px;
}

.results .go-back {
    margin-top: 33px;
}

.results .probability {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.results .generic label {
    color: #0073BC;
}

.results .low-probability label {
    color: #00BC61;
}

.results .medium-probability label {
    color: #FF7F33;
}

.results .high-probability label {
    color: #E04D4D;
}

.results .high-probability .alert {
    border-radius: 8px;
    background-color: #E04D4D;
    width: 300px;
    max-width: 96%;
    padding: 20px 0;
}

.results .high-probability .alert label,
.results .high-probability .alert a {
    color: white;
    text-decoration: none;
    display: block;
    margin: 0;
}

.results .high-probability .alert label {
    font-size: 12px;
}

.results .high-probability .alert label {
    font-size: 12px;
}

.results .high-probability .alert a {
    font-size: 17px;
    font-family: "Gotham Rounded Medium";
}

/* Loader */
.content-loader {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    background: rgba(255, 255, 255, 0.7);
    z-index: 9;
    position: absolute;
    left: 0;
    top: 0;
}

.content-loader .load-wrapp {
    float: left;
    width: 120px;
    height: 120px;
    margin: 0 10px 10px 0;
    padding: 20px 20px 20px;
    border-radius: 5px;
    text-align: center;
}

.content-loader .load-wrapp p {
    padding: 0 0 20px;
}

.content-loader .load-wrapp .load .line {
    display: inline-block;
    width: 15px;
    height: 15px;
    border-radius: 15px;     
}

.content-loader .load .line:nth-last-child(1) {
    animation: loading .6s .1s linear infinite;
    background-color: #0091EA;
}

.content-loader .load .line:nth-last-child(2) {
    animation: loading .6s .2s linear infinite;
    background-color: #67C5FF;
}

.content-loader .load .line:nth-last-child(3) {
    animation: loading .6s .3s linear infinite;
    background-color: #0091EA;
}

.content-loader .load .line:nth-last-child(4) {
    animation: loading .6s .4s linear infinite;
    background-color: #67C5FF;
}

/* General Styles */
.title {
    color: #0073BC;
    font-size: 1.1rem;
    padding: 0 .75rem;
    margin-bottom: 20px;
    display: block;
}

.cursor-pointer {
    cursor: pointer;
}

/* Scroll */
::-webkit-scrollbar {display: none;}
::-webkit-scrollbar-button {display: none;}
::-webkit-scrollbar-track-piece {display: none;}
::-webkit-scrollbar-thumb {display: none;}

/* Animations */
@keyframes loading {
    0% { transform: translate(0,0); }
    50% { transform: translate(0,15px); }
    100% { transform: translate(0,0); }
}